ODFPY 1.2.0 |

Loading...
Searching...
No Matches
Functions
odf.draw Namespace Reference

## Functions
| StyleRefElement (stylename=None, classnames=None, **args)
| DrawElement (name=None, **args)
| A (**args)
| Applet (**args)
| AreaCircle (**args)
| AreaPolygon (**args)
| AreaRectangle (**args)
| Caption (**args)
| Circle (**args)
| Connector (**args)
| ContourPath (**args)
| ContourPolygon (**args)
| Control (**args)
| CustomShape (**args)
| Ellipse (**args)
| EnhancedGeometry (**args)
| Equation (**args)
| FillImage (**args)
| FloatingFrame (**args)
| Frame (**args)
| G (**args)
| GluePoint (**args)
| Gradient (**args)
| Handle (**args)
| Hatch (**args)
| Image (**args)
| ImageMap (**args)
| Layer (**args)
| LayerSet (**args)
| Line (**args)
| Marker (**args)
| Measure (**args)
| Object (**args)
| ObjectOle (**args)
| Opacity (**args)
| Page (**args)
| PageThumbnail (**args)
| Param (**args)
| Path (**args)
| Plugin (**args)
| Polygon (**args)
| Polyline (**args)
| Rect (**args)
| RegularPolygon (**args)
| StrokeDash (**args)
| TextBox (**args)

## Function Documentation

## ◆ A()

odf.draw.A | ( | ** | args | ) |

Definition at line 53 of file draw.py.

## ◆ Applet()

odf.draw.Applet | ( | ** | args | ) |

Definition at line 57 of file draw.py.

## ◆ AreaCircle()

odf.draw.AreaCircle | ( | ** | args | ) |

Definition at line 60 of file draw.py.

## ◆ AreaPolygon()

odf.draw.AreaPolygon | ( | ** | args | ) |

Definition at line 63 of file draw.py.

## ◆ AreaRectangle()

odf.draw.AreaRectangle | ( | ** | args | ) |

Definition at line 66 of file draw.py.

## ◆ Caption()

odf.draw.Caption | ( | ** | args | ) |

Definition at line 69 of file draw.py.

## ◆ Circle()

odf.draw.Circle | ( | ** | args | ) |

Definition at line 72 of file draw.py.

## ◆ Connector()

odf.draw.Connector | ( | ** | args | ) |

Definition at line 75 of file draw.py.

## ◆ ContourPath()

odf.draw.ContourPath | ( | ** | args | ) |

Definition at line 78 of file draw.py.

## ◆ ContourPolygon()

odf.draw.ContourPolygon | ( | ** | args | ) |

Definition at line 81 of file draw.py.

## ◆ Control()

odf.draw.Control | ( | ** | args | ) |

Definition at line 84 of file draw.py.

## ◆ CustomShape()

odf.draw.CustomShape | ( | ** | args | ) |

Definition at line 87 of file draw.py.

## ◆ DrawElement()

odf.draw.DrawElement | ( |  | name = `None`,
|  | ** | args
| ) |  |

Definition at line 46 of file draw.py.

## ◆ Ellipse()

odf.draw.Ellipse | ( | ** | args | ) |

Definition at line 90 of file draw.py.

## ◆ EnhancedGeometry()

odf.draw.EnhancedGeometry | ( | ** | args | ) |

Definition at line 93 of file draw.py.

## ◆ Equation()

odf.draw.Equation | ( | ** | args | ) |

Definition at line 96 of file draw.py.

## ◆ FillImage()

odf.draw.FillImage | ( | ** | args | ) |

Definition at line 99 of file draw.py.

## ◆ FloatingFrame()

odf.draw.FloatingFrame | ( | ** | args | ) |

Definition at line 103 of file draw.py.

## ◆ Frame()

odf.draw.Frame | ( | ** | args | ) |

Definition at line 107 of file draw.py.

## ◆ G()

odf.draw.G | ( | ** | args | ) |

Definition at line 110 of file draw.py.

## ◆ GluePoint()

odf.draw.GluePoint | ( | ** | args | ) |

Definition at line 113 of file draw.py.

## ◆ Gradient()

odf.draw.Gradient | ( | ** | args | ) |

Definition at line 116 of file draw.py.

## ◆ Handle()

odf.draw.Handle | ( | ** | args | ) |

Definition at line 119 of file draw.py.

## ◆ Hatch()

odf.draw.Hatch | ( | ** | args | ) |

Definition at line 122 of file draw.py.

## ◆ Image()

odf.draw.Image | ( | ** | args | ) |

Definition at line 125 of file draw.py.

## ◆ ImageMap()

odf.draw.ImageMap | ( | ** | args | ) |

Definition at line 128 of file draw.py.

## ◆ Layer()

odf.draw.Layer | ( | ** | args | ) |

Definition at line 131 of file draw.py.

## ◆ LayerSet()

odf.draw.LayerSet | ( | ** | args | ) |

Definition at line 134 of file draw.py.

## ◆ Line()

odf.draw.Line | ( | ** | args | ) |

Definition at line 137 of file draw.py.

## ◆ Marker()

odf.draw.Marker | ( | ** | args | ) |

Definition at line 140 of file draw.py.

## ◆ Measure()

odf.draw.Measure | ( | ** | args | ) |

Definition at line 143 of file draw.py.

## ◆ Object()

odf.draw.Object | ( | ** | args | ) |

Definition at line 146 of file draw.py.

## ◆ ObjectOle()

odf.draw.ObjectOle | ( | ** | args | ) |

Definition at line 149 of file draw.py.

## ◆ Opacity()

odf.draw.Opacity | ( | ** | args | ) |

Definition at line 152 of file draw.py.

## ◆ Page()

odf.draw.Page | ( | ** | args | ) |

Definition at line 155 of file draw.py.

## ◆ PageThumbnail()

odf.draw.PageThumbnail | ( | ** | args | ) |

Definition at line 158 of file draw.py.

## ◆ Param()

odf.draw.Param | ( | ** | args | ) |

Definition at line 161 of file draw.py.

## ◆ Path()

odf.draw.Path | ( | ** | args | ) |

Definition at line 164 of file draw.py.

## ◆ Plugin()

odf.draw.Plugin | ( | ** | args | ) |

Definition at line 167 of file draw.py.

## ◆ Polygon()

odf.draw.Polygon | ( | ** | args | ) |

Definition at line 171 of file draw.py.

## ◆ Polyline()

odf.draw.Polyline | ( | ** | args | ) |

Definition at line 174 of file draw.py.

## ◆ Rect()

odf.draw.Rect | ( | ** | args | ) |

Definition at line 177 of file draw.py.

## ◆ RegularPolygon()

odf.draw.RegularPolygon | ( | ** | args | ) |

Definition at line 180 of file draw.py.

## ◆ StrokeDash()

odf.draw.StrokeDash | ( | ** | args | ) |

Definition at line 183 of file draw.py.

## ◆ StyleRefElement()

odf.draw.StyleRefElement | ( |  | stylename = `None`,
|  |  | classnames = `None`,
|  | ** | args
| ) |  |

Definition at line 26 of file draw.py.

## ◆ TextBox()

odf.draw.TextBox | ( | ** | args | ) |

Definition at line 186 of file draw.py.